링크
GET https://25url.com/api/links/
curl --request GET \
--url 'https://25url.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드를 검색 중입니까. 허용되는 값은: url, location_url. |
| is_enabled | 선택 사항 불리언 | |
| domain_id | 선택 사항 정수 | |
| type | 선택 사항 문자열 |
biolink, link, file, vcard, event, static |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드입니다. 허용되는 값은 link_id, datetime, last_datetime, clicks, url입니다. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 ASC는 오름차순 정렬, DESC는 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 결과 수를 선택하세요. 허용된 값: 10, 25, 50, 100, 250, 500, 1000. 기본값: 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-04 14:55:26",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://25url.com/api/links?page=1",
"last": "https://25url.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://25url.com/api/links?page=1"
}
}
GET https://25url.com/api/links/{link_id}
curl --request GET \
--url 'https://25url.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-04 14:55:26",
}
}
POST https://25url.com/api/links
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| type | 선택 사항 문자열 | link |
| location_url | 필수 문자열 | 목적지의 URL사용 가능 시기: is_bulk = 0 |
| location_urls | 필수 문자열 | 목적지의 URL사용 가능 시기: is_bulk = 1 |
| url | 선택 사항 문자열 | 생성된 링크의 URL 별칭. 무작위로 생성된 별칭을 원할 경우 비워 두십시오.사용 가능 시기: is_bulk = 0 |
| is_bulk | 선택 사항 불리언 | |
| domain_id | 선택 사항 정수 | - |
| project_id | 선택 사항 정수 | - |
| pixels_ids | 선택 사항 배열 정수 | - |
| email_reports | 선택 사항 배열 | Notification handler ids |
| schedule | 선택 사항 불리언 | - |
| start_date | 선택 사항 문자열 | 사용 가능 시기: schedule = true |
| end_date | 선택 사항 문자열 | 사용 가능 시기: schedule = true |
| clicks_limit | 선택 사항 정수 | - |
| expiration_url | 선택 사항 문자열 | - |
| sensitive_content | 선택 사항 불리언 | - |
| http_status_code | 선택 사항 정수 | 허용된 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택 사항 불리언 | - |
| cloaking_is_enabled | 선택 사항 불리언 | - |
| cloaking_title | 선택 사항 문자열 | - |
| cloaking_meta_description | 선택 사항 문자열 | - |
| cloaking_custom_js | 선택 사항 문자열 | - |
| cloaking_favicon | 선택 사항 파일 | - |
| cloaking_opengraph | 선택 사항 파일 | - |
| password | 선택 사항 문자열 | - |
| forward_query_parameters_is_enabled | 선택 사항 불리언 | - |
| seo_block | 선택 사항 불리언 | - |
| utm_source | 선택 사항 문자열 | - |
| utm_medium | 선택 사항 문자열 | - |
| utm_campaign | 선택 사항 문자열 | - |
| targeting_type | 선택 사항 문자열 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = country_code |
| targeting_country_code_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = country_code |
| targeting_city_name_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = city_name |
| targeting_city_name_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = city_name |
| targeting_device_type_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = device_type |
| targeting_device_type_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = rotation |
| targeting_rotation_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = rotation |
| targeting_os_name_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = os_name |
| targeting_os_name_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_name |
curl --request POST \
--url 'https://25url.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://25url.com/' \
--url 'https://25url.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://25url.com/' \
{
"data": {
"id": 1
}
}
POST https://25url.com/api/links/{link_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| location_url | 선택 사항 문자열 | 목적지의 URL |
| url | 선택 사항 문자열 | 생성된 링크의 URL 별칭. 무작위로 생성된 별칭을 원할 경우 비워 두십시오. |
| domain_id | 선택 사항 정수 | - |
| project_id | 선택 사항 정수 | - |
| pixels_ids | 선택 사항 배열 정수 | - |
| email_reports | 선택 사항 배열 | Notification handler ids |
| schedule | 선택 사항 불리언 | - |
| start_date | 선택 사항 문자열 | 사용 가능 시기: schedule = true |
| end_date | 선택 사항 문자열 | 사용 가능 시기: schedule = true |
| clicks_limit | 선택 사항 정수 | - |
| expiration_url | 선택 사항 문자열 | - |
| sensitive_content | 선택 사항 불리언 | - |
| http_status_code | 선택 사항 정수 | 허용된 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택 사항 불리언 | - |
| cloaking_is_enabled | 선택 사항 불리언 | - |
| cloaking_title | 선택 사항 문자열 | - |
| cloaking_meta_description | 선택 사항 문자열 | - |
| cloaking_custom_js | 선택 사항 문자열 | - |
| cloaking_favicon | 선택 사항 파일 | - |
| cloaking_opengraph | 선택 사항 파일 | - |
| password | 선택 사항 문자열 | - |
| forward_query_parameters_is_enabled | 선택 사항 불리언 | - |
| seo_block | 선택 사항 불리언 | - |
| utm_source | 선택 사항 문자열 | - |
| utm_medium | 선택 사항 문자열 | - |
| utm_campaign | 선택 사항 문자열 | - |
| targeting_type | 선택 사항 문자열 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = country_code |
| targeting_country_code_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = country_code |
| targeting_city_name_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = city_name |
| targeting_city_name_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = city_name |
| targeting_device_type_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = device_type |
| targeting_device_type_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = rotation |
| targeting_rotation_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = rotation |
| targeting_os_name_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = os_name |
| targeting_os_name_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택 사항 문자열 | 사용 가능 시기: targeting_type = browser_name |
curl --request POST \
--url 'https://25url.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://25url.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://25url.com/api/links/{link_id}
curl --request DELETE \
--url 'https://25url.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \